TTF_GetStringSizeWrapped(3)

NAME
TTF_GetStringSizeWrapped - Calculate the dimensions of a rendered string of UTF-8 text.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetStringSizeWrapped(TTF_Font *font, const char *text, size_t length, int wrap_width, int *w, int *h);

DESCRIPTION
This will report the width and height, in pixels, of the space that the specified string will take to fully render.

Text is wrapped to multiple lines on line endings and on word boundaries if it extends beyond wrap_width in pixels.

If wrap_width is 0, this function will only wrap on newline characters.

FUNCTION PARAMETERS

font
    the font to query.

text
    text to calculate, in UTF-8 encoding.

length
    the length of the text, in bytes, or 0 for null terminated text.

wrap_width
    the maximum width or 0 to wrap on newline characters.

w   will be filled with width, in pixels, on return.

h   will be filled with height, in pixels, on return.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.